Package org.optaplanner.core.impl.constructionheuristic.placer

## Class AbstractEntityPlacer

- java.lang.Object
- - org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer

- Direct Known Subclasses:
    `PooledEntityPlacer`, `QueuedEntityPlacer`, `QueuedValuePlacer`

      public abstract class AbstractEntityPlacer
      extends Object

  Abstract superclass for `EntityPlacer`.
  See Also:
    `EntityPlacer`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.slf4j.Logger` | `logger` |
    `protected PhaseLifecycleSupport` | `phaseLifecycleSupport` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractEntityPlacer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `phaseEnded​(AbstractPhaseScope phaseScope)` |
    `void` | `phaseStarted​(AbstractPhaseScope phaseScope)` |
    `void` | `solvingEnded​(DefaultSolverScope solverScope)` |
    `void` | `solvingStarted​(DefaultSolverScope solverScope)` |
    `void` | `stepEnded​(AbstractStepScope stepScope)` |
    `void` | `stepStarted​(AbstractStepScope stepScope)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected final transient org.slf4j.Logger logger

    - #### phaseLifecycleSupport

          protected PhaseLifecycleSupport phaseLifecycleSupport

  - ### Constructor Detail

    - #### AbstractEntityPlacer

          public AbstractEntityPlacer()

  - ### Method Detail

    - #### solvingStarted

          public void solvingStarted​(DefaultSolverScope solverScope)

    - #### phaseStarted

          public void phaseStarted​(AbstractPhaseScope phaseScope)

    - #### stepStarted

          public void stepStarted​(AbstractStepScope stepScope)

    - #### stepEnded

          public void stepEnded​(AbstractStepScope stepScope)

    - #### phaseEnded

          public void phaseEnded​(AbstractPhaseScope phaseScope)

    - #### solvingEnded

          public void solvingEnded​(DefaultSolverScope solverScope)